 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */
Page({

    /**
     * 页面的初始数据
     */
    data: {
        articlesArr : [] ,      //列表
        page        : {},      //分页信息
        type        : '',      //类型
        name        : '',      //名称
        lodingStats : false,  //加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            type: options.type
        })
        if (options.type == '1') {
            wx.setNavigationBarTitle({
                title: '锶源昆仑·记忆'
            })
            this.setData({
                name: 'memory'
            })
        } else if (options.type == '2') {
            wx.setNavigationBarTitle({
                title: '锶源昆仑·健康百科'
            })
            this.setData({
                name: 'wiki'
            })
        }
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取列表
        this.articlesInfo();
    },

    // 列表
    articlesInfo(page){
        wx.$api.index.articlesList({
            category_id : this.data.type,
            page : page || 1
        }).then(res => {
            let listArr = this.data.articlesArr,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.data)
            this.setData({
                articlesArr : newData,
                page        : res.data.page,
                lodingStats : false
            })
            wx.stopPullDownRefresh()
        }).catch(err => {})
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 获取列表
		this.articlesInfo();
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            // 获取列表
		    this.articlesInfo(pageNumber);
        }
    }
})